Subject: Re: [PATCH] remove DMA_nBIT_MASK macro

From: Ingo Molnar <[email-masked]>
Date: Thu, 7 May 2009 13:18:46 +0200

* Yang Hongyang <[email-masked]> wrote:

> FUJITA Tomonori wrote:
> > We replaced all DMA_nBIT_MASK macros with DMA_BIT_MASK(n) but why do
> > we still keep DMA_nBIT_MASK macros in include/linux/dma-mapping.h?
> > 
> > As long as these macros exist, people use them. The current git has
> > two users and linux-next have other users.
> > 
> > Is it better to remove DMA_nBIT_MASK macros completely now?

Can you see a way to emit build warnings? If yes then that might be 
a better solution instead of breaking in-the-pipeline code. We 
missed the upstream window of removing the facilities altogether, we 
could certainly do that in the next merge window though.

> CC:ingo
> 
> I have no objections,actually I used to remove all these defines in my
> first commit of these patch series,but got suggestions that keep these
> defines one more circle.Maybe it's time to remove these defines now or
> to remove at the end of this circle?
> 
> Reviewed-by:[email-masked]

Thanks!

	Ingo